Subject: bug#60585: 30.0.50; global-text-scale-adjust shrinks window (was not before)

From: Jean Louis <[email-masked]>
Date: Sat, 7 Jan 2023 01:21:35 +0300

* Eli Zaretskii <[email-masked]> [2023-01-06 17:05]:
> > Great, thanks for that information.  I installed IceWM 3.2.3, and now I 
> > can reproduce the problem (both on the release branch and on master). 
> > It's indeed related to the window manager, because with several other 
> > window managers there is no such problem.
> 
> Thanks.  But since Jean says this is a recent regression, I wonder
> which recent change could have caused it?

It is recent only for me, as before less than 2 weeks, I did not use
`global-text-scale-adjust' command ever.

Please see:

https://github.com/ice-wm/icewm/issues/115#issuecomment-1374106546

> IceWM historically has ignored the USSize field in the
> WM_NORMAL_HINTS property. To enforce a size an app must set both the
> PMinSize and the PMaxSize to the same value. Because there is no
> PMaxSize, icewm is free to adjust the size to a value which is in
> accordance to the emacs provided PBaseSize and PResizeInc. See the
> ICCCM for details. IceWM is still standards conformant. It just has
> a different interpretation than other WMs.

There are some variables that could be set in Emacs to make this right.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/